Bug 137602 - Creating bugs does not update delta_ts properly
Summary: Creating bugs does not update delta_ts properly
Status: CLOSED RAWHIDE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.18
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: BZ_218_Beta3
TreeView+ depends on / blocked
 
Reported: 2004-10-29 19:00 UTC by Chip Turner
Modified: 2007-04-18 17:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 19:31:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chip Turner 2004-10-29 19:00:41 UTC
If I take an existing bug X and change it to block bug Y, bug Y's
delta_ts gets updated.  But if I create a new bug C, and -while
filling the bug out-, mark it as blocking bug Y, then bug Y's delta_ts
isn't updated.

Comment 1 David Lawrence 2004-10-29 19:16:29 UTC
Personal Note: 
Here is the code in process_bug.cgi that updates the delta_ts when a dependency
is changed. Particularly the SQL that does the update. Something of this nature
needs to be in the dependency insertion portion of post_bug.cgi to mimic this
behaviour.

sub LogDependencyActivity {
    my ($i, $oldstr, $target, $me) = (@_);
    my $newstr = SnapShotDeps($i, $target, $me);
    if ($oldstr ne $newstr) {
        # Figure out what's really different...
        my ($removed, $added) = DiffStrings($oldstr, $newstr);
        LogActivityEntry($i,$target,$removed,$added,$whoid,$timestamp);
        # update timestamp on target bug so midairs will be triggered
        SendSQL("UPDATE bugs SET delta_ts=NOW() WHERE bug_id=$i");
        $bug_changed = 1;
        return 1;
    }
    return 0;
}


Comment 2 David Lawrence 2004-11-04 18:18:03 UTC
Would like to fix for beta3.

Comment 3 David Lawrence 2004-11-04 19:31:44 UTC
Fixed in cvs. Will be in beta3


Note You need to log in before you can comment on or make changes to this bug.